---
title: "Transact-SQL Reference (Database Engine) | Microsoft Docs"
ms.custom: ""
ms.date: "04/03/2017"
ms.prod: sql
ms.reviewer: ""
ms.technology: t-sql
ms.topic: "language-reference"
f1_keywords: 
  - "sql13.tsqlref.f1"
  - "devlang-tsql"
helpviewer_keywords: 
  - "Transact-SQL"
ms.assetid: dbba47d7-e08e-4435-b876-35dced1f325d
author: MikeRayMSFT
ms.author: mikeray
manager: craigg
monikerRange: ">=aps-pdw-2016||=azuresqldb-current||=azure-sqldw-latest||>=sql-server-2016||=sqlallproducts-allversions||>=sql-server-linux-2017||=azuresqldb-mi-current"
---
# Transact-SQL Reference (Database Engine)
[!INCLUDE[tsql-appliesto-ss2008-all-md](../includes/tsql-appliesto-ss2008-all-md.md)]

> [!div class="nextstepaction"]
> [Please help improve SQL Server docs!](https://80s3ignv.optimalworkshop.com/optimalsort/36yyw5kq-0)

This topic gives the basics about how to find and use the Microsoft Transact-SQL (T-SQL) reference topics. T-SQL is central to using Microsoft SQL products and services. All tools and applications that communicate with a SQL database do so by sending T-SQL commands.  

## Tools that use T-SQL

Some of the Microsoft tools that issue T-SQL commands are:

- [SQL Server Management Studio](../ssms/download-sql-server-management-studio-ssms.md)
- [SQL Server Data Tools](../ssdt/download-sql-server-data-tools-ssdt.md).  
- [sqlcmd](../tools/sqlcmd-utility.md).  
- [Azure Data Studio (preview)](../azure-data-studio/what-is.md).  
  
 
## Locate the Transact-SQL reference topics  
  
To find T-SQL topics, use search at the top right of this page, or use the table of contents on the left side of the page. You can also type a T-SQL key word in the Management Studio Query Editor window, and press F1. 
  

## Find system views

To find the system tables, views, functions, and procedures, see these links which are in the [Using relational databases](../relational-databases/database-features.md) section of the SQL documentation.

- [System catalog Views](../relational-databases/system-catalog-views/catalog-views-transact-sql.md)
- [System compatibility views](../relational-databases/system-compatibility-views/system-compatibility-views-transact-sql.md)
- [System dynamic management views](../relational-databases/system-dynamic-management-views/system-dynamic-management-views.md)
- [System functions](../relational-databases/system-functions/system-functions-for-transact-sql.md)
- [System information schema views](../relational-databases/system-information-schema-views/system-information-schema-views-transact-sql.md)
- [System stored procedures](../relational-databases/system-stored-procedures/system-stored-procedures-transact-sql.md)
- [System tables](../relational-databases/system-tables/system-tables-transact-sql.md)

 
## "Applies to" references  
 The T-SQL reference topics encompass multiple versions of SQL Server, starting with 2008, as well as the other Azure SQL services. Near the top of each topic is a section that indicates which products and services support subject of the topic. 

For example, this topic applies to all versions, and has the following label. 
  
 [!INCLUDE[tsql-appliesto-ss2008-all_md](../includes/tsql-appliesto-ss2008-all-md.md)]   

Another example, the following label indicates a topic that applies only to Azure SQL Data Warehouse and Parallel Data Warehouse.

[!INCLUDE[tsql-appliesto-xxxxxx-xxxx-asdw-pdw_md](../includes/tsql-appliesto-xxxxxx-xxxx-asdw-pdw-md.md)]

  
In some cases, the topic is used by a product or service, but all of the arguments are not supported. In this case, additional **Applies to** sections are inserted into the appropriate argument descriptions in the body of the topic.  
 
## Get help from the MSDN forum  
  
For online help, see the [MSDN Transact-SQL Forum](http://social.msdn.microsoft.com/Forums/en-US/home?forum=transactsql).  
 
## See other language references

The SQL docs include these other language references:
  
- [XQuery Language Reference](../xquery/xquery-language-reference-sql-server.md)
- [Integration Services Language Reference](../integration-services/integration-services-language-reference.md)
- [Replication Language Reference](../relational-databases/replication/replication-language-reference.md)
- [Analysis Services Language Reference](../mdx/analysis-services-language-reference.md)  


## Next steps

Now that you understand how to find the T-SQL reference topics, you are ready to:

- Work through a short tutorial about how to write T-SQL, see [Tutorial: Writing Transact-SQL Statements](../t-sql/tutorial-writing-transact-sql-statements.md). 
- View the [Transact-SQL Syntax Conventions &#40;Transact-SQL&#41;](../t-sql/language-elements/transact-sql-syntax-conventions-transact-sql.md).  

  
  
