---
title: "Static Aggregate Geography Methods | Microsoft Docs"
ms.custom: ""
ms.date: "03/14/2017"
ms.prod: sql
ms.prod_service: "database-engine, sql-database"
ms.reviewer: ""
ms.technology: t-sql
ms.topic: "language-reference"
dev_langs: 
  - "TSQL"
helpviewer_keywords: 
  - "Aggregate Geography Methods [SQL Server]"
ms.assetid: 38e8146d-86bf-48c9-a436-2269bdadb27d
author: "douglaslMS"
ms.author: "douglasl"
manager: craigg
---
# Static Aggregate Geography Methods
[!INCLUDE[tsql-appliesto-ss2012-asdb-xxxx-xxx-md](../../includes/tsql-appliesto-ss2012-asdb-xxxx-xxx-md.md)]

  [!INCLUDE[ssNoVersion](../../includes/ssnoversion-md.md)] supports the following aggregate methods as extensions to the static geography methods of the Open Geospatial Consortium (OGC).  
  
> [!NOTE]  
>  These aggregate methods are exposed only in [!INCLUDE[ssNoVersion](../../includes/ssnoversion-md.md)]. They are not exposed in the Microsoft.SqlServer.Types assembly.  
  
 For more information on OGC specifications, see the following resources:  
  
 [OGC Specifications, Simple Feature Access Part 1 - Common Architecture](http://go.microsoft.com/fwlink/?LinkId=93627)  
  
 [OGC Specifications, Simple Feature Access Part 2 – SQL Options](http://go.microsoft.com/fwlink/?LinkId=93628)  
  
 [OGC Specifications, Geography Markup Language](http://go.microsoft.com/fwlink/?LinkId=93629)  
  
## In This Section  
  
-   [CollectionAggregate &#40;geography Data Type&#41;](../../t-sql/spatial-geography/collectionaggregate-geography-data-type.md)  
  
-   [ConvexHullAggregate &#40;geography Data Type&#41;](../../t-sql/spatial-geography/convexhullaggregate-geography-data-type.md)  
  
-   [EnvelopeAggregate &#40;geography Data Type&#41;](../../t-sql/spatial-geography/envelopeaggregate-geography-data-type.md)  
  
-   [UnionAggregate &#40;geography Data Type&#41;](../../t-sql/spatial-geography/unionaggregate-geography-data-type.md)  
  
## See Also  
 [Extended Methods on Geography Instances](../../t-sql/spatial-geography/extended-methods-on-geography-instances.md)   
 [Extended Static Geography Methods](../../t-sql/spatial-geography/extended-static-geography-methods.md)   
 [OGC Methods on Geography Instances](../../t-sql/spatial-geography/ogc-methods-on-geography-instances.md)   
 [OGC Static Geography Methods](../../t-sql/spatial-geography/ogc-static-geography-methods.md)  
  
  
