---
title: "Extended Methods on Geometry Instances | Microsoft Docs"
ms.custom: ""
ms.date: "03/14/2017"
ms.prod: sql
ms.prod_service: "database-engine, sql-database"
ms.reviewer: ""
ms.technology: t-sql
ms.topic: "language-reference"
dev_langs: 
  - "TSQL"
helpviewer_keywords: 
  - "Extended Methods on Geometry Instances [SQLServer]"
ms.assetid: 6472c5e1-d37f-4919-a903-177e90cbfe1b
author: "douglaslMS"
ms.author: "douglasl"
manager: craigg
---
# Extended Methods on Geometry Instances
[!INCLUDE[tsql-appliesto-ss2012-asdb-xxxx-xxx-md](../../includes/tsql-appliesto-ss2012-asdb-xxxx-xxx-md.md)]

  [!INCLUDE[ssNoVersion](../../includes/ssnoversion-md.md)] supports a number of extended methods on Open Geospatial Consortium (OGC) geometry instances.  
  
 For more information on OGC specifications, see the following:  
  
-   [OGC Specifications, Simple Feature Access Part 1 - Common Architecture](http://go.microsoft.com/fwlink/?LinkId=93627)  
  
-   [OGC Specifications, Simple Feature Access Part 2 – SQL Options](http://go.microsoft.com/fwlink/?LinkId=93628)  
  
-   [OGC Specifications, Geography Markup Language](http://go.microsoft.com/fwlink/?LinkId=93629)  
  
## In This Section  
  
-   [AsBinaryZM &#40;geometry DataType&#41;](../../t-sql/spatial-geometry/asbinaryzm-geometry-datatype.md)  
  
-   [AsGml &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/asgml-geometry-data-type.md)  
  
-   [AsTextZM &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/astextzm-geometry-data-type.md)  
  
-   [BufferWithCurves &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/bufferwithcurves-geometry-data-type.md)  
  
-   [BufferWithTolerance &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/bufferwithtolerance-geometry-data-type.md)  
  
-   [CurveToLineWithTolerance &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/curvetolinewithtolerance-geometry-data-type.md)  
  
-   [InstanceOf &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/instanceof-geometry-data-type.md)  
  
-   [Filter &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/filter-geometry-data-type.md)  
  
-   [HasM &#40;geometry DataType&#41;](../../t-sql/spatial-geometry/hasm-geometry-datatype.md)  
  
-   [HasZ &#40;geometry DataType&#41;](../../t-sql/spatial-geometry/hasz-geometry-datatype.md)  
  
-   [IsNull &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/isnull-geometry-data-type.md)  
  
-   [IsValidDetailed &#40;geometry DataType&#41;](../../t-sql/spatial-geometry/isvaliddetailed-geometry-datatype.md)  
  
-   [M &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/m-geometry-data-type.md)  
  
-   [MakeValid &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/makevalid-geometry-data-type.md)  
  
-   [MinDbCompatibilityLevel &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/mindbcompatibilitylevel-geometry-data-type.md)  
  
-   [Reduce &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/reduce-geometry-data-type.md)  
  
-   [ShortestLineTo &#40;geography Data Type&#41;](../../t-sql/spatial-geography/shortestlineto-geography-data-type.md)  
  
-   [ToString &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/tostring-geometry-data-type.md)  
  
-   [Z &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/z-geometry-data-type.md)  
  
## See Also  
 [OGC Methods on Geometry Instances](../../t-sql/spatial-geometry/ogc-methods-on-geometry-instances.md)   
 [OGC Static Geometry Methods](../../t-sql/spatial-geometry/ogc-static-geometry-methods.md)   
 [Extended Static Geometry Methods](../../t-sql/spatial-geometry/extended-static-geometry-methods.md)  
  
  
