---
title: "Extended Static Geometry Methods | Microsoft Docs"
ms.custom: ""
ms.date: "03/14/2017"
ms.prod: sql
ms.prod_service: "database-engine, sql-database"
ms.reviewer: ""
ms.technology: t-sql
ms.topic: "language-reference"
dev_langs: 
  - "TSQL"
helpviewer_keywords: 
  - "Extended Static Geometry Methods [SQL Server]"
ms.assetid: 04c02af0-5243-4d53-b35a-ddc4113ee8f6
author: "douglaslMS"
ms.author: "douglasl"
manager: craigg
---
# Extended Static Geometry Methods
[!INCLUDE[tsql-appliesto-ss2008-asdb-xxxx-xxx-md](../../includes/tsql-appliesto-ss2008-asdb-xxxx-xxx-md.md)]

  [!INCLUDE[ssNoVersion](../../includes/ssnoversion-md.md)] supports several extensions to the static geometry methods of the Open Geospatial Consortium (OGC).  
  
 For more information on Open Geospatial Consortium (OGC) specifications, see the following Open Geospatial Consortium Specifications:  
  
 [OGC Specifications, Simple Feature Access Part 1 - Common Architecture](http://go.microsoft.com/fwlink/?LinkId=93627)  
  
 [OGC Specifications, Simple Feature Access Part 2 – SQL Options](http://go.microsoft.com/fwlink/?LinkId=93628)  
  
 [OGC Specifications, Geography Markup Language](http://go.microsoft.com/fwlink/?LinkId=93629)  
  
## In This Section  
  
-   [GeomFromGML](../../t-sql/spatial-geometry/geomfromgml-geometry-data-type.md)  
  
-   [Null](../../t-sql/spatial-geometry/null-geometry-data-type.md)  
  
-   [Parse](../../t-sql/spatial-geometry/parse-geometry-data-type.md)  
  
-   [Point](../../t-sql/spatial-geometry/point-geometry-data-type.md)  
  
## See Also  
 [Static Aggregate Geometry Methods](../../t-sql/spatial-geometry/static-aggregate-geometry-methods.md)   
 [Extended Methods on Geometry Instances](../../t-sql/spatial-geometry/extended-methods-on-geometry-instances.md)   
 [OGC Methods on Geometry Instances](../../t-sql/spatial-geometry/ogc-methods-on-geometry-instances.md)   
 [OGC Static Geometry Methods](../../t-sql/spatial-geometry/ogc-static-geometry-methods.md)  
  
  
