---
title: "OGC Static Geometry Methods | Microsoft Docs"
ms.custom: ""
ms.date: "03/06/2017"
ms.prod: sql
ms.prod_service: "database-engine, sql-database"
ms.reviewer: ""
ms.technology: t-sql
ms.topic: "language-reference"
dev_langs: 
  - "TSQL"
helpviewer_keywords: 
  - "OGC Static Geometry Methods [SQL Server]"
ms.assetid: 74960d25-83c2-4ad6-9318-098c348ea977
author: "douglaslMS"
ms.author: "douglasl"
manager: craigg
---
# OGC Static Geometry Methods
[!INCLUDE[tsql-appliesto-ss2012-asdb-xxxx-xxx-md](../../includes/tsql-appliesto-ss2012-asdb-xxxx-xxx-md.md)]

  [!INCLUDE[ssCurrent](../../includes/sscurrent-md.md)] supports the static geometry methods of the Open Geospatial Consortium (OGC).  
  
 For more information on Open Geospatial Consortium (OGC) specifications, see the following Open Geospatial Consortium Specifications:  
  
 [OGC Specifications, Simple Feature Access Part 1 - Common Architecture](http://go.microsoft.com/fwlink/?LinkId=93627)  
  
 [OGC Specifications, Simple Feature Access Part 2 – SQL Options](http://go.microsoft.com/fwlink/?LinkId=93628)  
  
## In This Section  
  
-   [STGeomFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stgeomfromtext-geometry-data-type.md)  
  
-   [STPointFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stpointfromtext-geometry-data-type.md)  
  
-   [STLineFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stlinefromtext-geometry-data-type.md)  
  
-   [STPolyFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stpolyfromtext-geometry-data-type.md)  
  
-   [STMPointFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stmpointfromtext-geometry-data-type.md)  
  
-   [STMLineFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stmlinefromtext-geometry-data-type.md)  
  
-   [STMPolyFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stmpolyfromtext-geometry-data-type.md)  
  
-   [STGeomCollFromText &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stgeomcollfromtext-geometry-data-type.md)  
  
-   [STGeomFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stgeomfromwkb-geometry-data-type.md)  
  
-   [STPointFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stpointfromwkb-geometry-data-type.md)  
  
-   [STLineFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stlinefromwkb-geometry-data-type.md)  
  
-   [STPolyFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stpolyfromwkb-geometry-data-type.md)  
  
-   [STMPointFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stmpointfromwkb-geometry-data-type.md)  
  
-   [STMLineFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stmlinefromwkb-geometry-data-type.md)  
  
-   [STMPolyFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stmpolyfromwkb-geometry-data-type.md)  
  
-   [STGeomCollFromWKB &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/stgeomcollfromwkb-geometry-data-type.md)  
  
## See Also  
 [OGC Methods on Geometry Instances](../../t-sql/spatial-geometry/ogc-methods-on-geometry-instances.md)   
 [Extended Methods on Geometry Instances](../../t-sql/spatial-geometry/extended-methods-on-geometry-instances.md)   
 [Extended Static Geometry Methods](../../t-sql/spatial-geometry/extended-static-geometry-methods.md)  
  
  
