---
title: "Static Aggregate Geometry Methods | Microsoft Docs"
ms.custom: ""
ms.date: "03/14/2017"
ms.prod: sql
ms.prod_service: "database-engine, sql-database"
ms.reviewer: ""
ms.technology: t-sql
ms.topic: "language-reference"
dev_langs: 
  - "TSQL"
helpviewer_keywords: 
  - "Aggregate Geometry Methods [SQL Server]"
ms.assetid: 4e19f582-ef8f-40f7-8ad1-4f08591cdd1a
author: "douglaslMS"
ms.author: "douglasl"
manager: craigg
---
# Static Aggregate Geometry Methods
[!INCLUDE[tsql-appliesto-ss2012-asdb-xxxx-xxx-md](../../includes/tsql-appliesto-ss2012-asdb-xxxx-xxx-md.md)]

  [!INCLUDE[ssNoVersion](../../includes/ssnoversion-md.md)] supports the following aggregate methods as extensions to the static geometry methods of the Open Geospatial Consortium (OGC).  
  
> [!NOTE]  
>  These aggregate methods are exposed only in [!INCLUDE[ssNoVersion](../../includes/ssnoversion-md.md)]. They are not exposed in the Microsoft.SqlServer.Types assembly.  
  
 For more information on OGC specifications, see the following resources:  
  
 [OGC Specifications, Simple Feature Access Part 1 - Common Architecture](http://go.microsoft.com/fwlink/?LinkId=93627)  
  
 [OGC Specifications, Simple Feature Access Part 2 – SQL Options](http://go.microsoft.com/fwlink/?LinkId=93628)  
  
 [OGC Specifications, Geography Markup Language](http://go.microsoft.com/fwlink/?LinkId=93629)  
  
## In This Section  
  
-   [CollectionAggregate &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/collectionaggregate-geometry-data-type.md)  
  
-   [ConvexHullAggregate &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/convexhullaggregate-geometry-data-type.md)  
  
-   [EnvelopeAggregate &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/envelopeaggregate-geometry-data-type.md)  
  
-   [UnionAggregate &#40;geometry Data Type&#41;](../../t-sql/spatial-geometry/unionaggregate-geometry-data-type.md)  
  
## See Also  
 [Extended Methods on Geometry Instances](../../t-sql/spatial-geometry/extended-methods-on-geometry-instances.md)   
 [Extended Static Geometry Methods](../../t-sql/spatial-geometry/extended-static-geometry-methods.md)   
 [OGC Methods on Geometry Instances](../../t-sql/spatial-geometry/ogc-methods-on-geometry-instances.md)   
 [OGC Static Geometry Methods](../../t-sql/spatial-geometry/ogc-static-geometry-methods.md)  
  
  
